# Kristyna Janku: Modified "custom.py" for usage with "CTCDataset"

from __future__ import absolute_import

import os

from ..datasets.ctc_dataset import CTCDataset

from .otb import ExperimentOTB


class ExperimentCTC(ExperimentOTB):
    r"""Experiment pipeline and evaluation toolkit for CTC dataset.

    Args:
        root_dir (string): Root directory of CTC dataset.
        result_dir (string, optional): Directory for storing tracking
            results. Default is ``./results``.
        report_dir (string, optional): Directory for storing performance
            evaluation results. Default is ``./reports``.
    """

    def __init__(self, root_dir, name, subset='test',
                 result_dir='results', report_dir='reports', start_idx=0, end_idx=None):
        self.dataset = CTCDataset(root_dir, name, subset)
        self.result_dir = os.path.join(result_dir, name)
        self.report_dir = os.path.join(report_dir, name)
        self.start_idx = start_idx
        self.end_idx = end_idx
        self.use_confs = False
        self.dump_as_csv = False
        self.has_groundtruth = False
